/v1/workspaces/{workspace_id}/mailboxes/{id}/messages/{mid}AuthSoft-delete a message
Path parameters
workspace_id*string · uuidId of the workspace.
id*string · uuidId of the mailboxe.
mid*string · uuidId of the message in the mailbox.
Response · 204
Message soft-deleted
Example
Request
DELETE https://api.mail.productcraft.co/v1/workspaces/{workspace_id}/mailboxes/{id}/messages/{mid}
Authorization: Bearer YOUR_TOKENimport { Mail } from "@productcraft/mail";
// Reads PRODUCTCRAFT_API_KEY from the environment
const mail = new Mail();
await mail.mailboxes.messages.delete("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f", "3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");mail.mailboxes.messages.delete(mailboxId, messageId, options?): void